Page MenuHomePhabricator

Wikmaps Warper - Migrate / Upgrade maps-warper from Precise to Trusty
Closed, ResolvedPublic

Description

Task to track the replacement of the maps-warper instance via the maps-warper2 instance.

  • Create maps-warper2 instance (m1.large)
  • Set up server software on maps-warper2
  • Migrate data from maps-warper to maps-warper2
  • Test to make sure it works as a drop in replacement
  • Rename maps-warper2 to maps-warper (if needed?)
  • Ensure warper.wmflabs.org is served from correct server
  • Ensure it all works!
  • Turn off maps-warper

Event Timeline

Chippyy created this task.Mar 7 2017, 4:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2017, 4:41 PM
Chippyy updated the task description. (Show Details)Mar 7 2017, 5:44 PM
Chippyy updated the task description. (Show Details)Mar 7 2017, 5:47 PM

Done - Create maps-warper2 instance (m1.large). This has a better and larger setup for its root partition mainly ensuring the instance doesn't get hosed due to full logs anymore!

Next step is to install necessary system software.

Chippyy updated the task description. (Show Details)Mar 7 2017, 5:51 PM
Andrew added a subscriber: Andrew.Mar 13 2017, 4:07 PM

@Chippyy Any progress on this? There are two weeks remaining until we start deleting Precise instances.

@Andrew Thanks for keeping an eye out for this - I am planning on working on the majority of this task this week. And will be updating this task as I go along.

I think I'll setup a warper2.wmflabs.org proxy config if possible too

Having trouble installing libgdal-dev because of wikimedia repository choosing the older 4.8

sudo apt-cache policy icu-devtools
icu-devtools:

Installed: (none)
Candidate: 4.8.1.1-14+trusty2
Version table:
   52.1-3ubuntu0.5 0
      500 http://nova.clouds.archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
      500 http://security.ubuntu.com/ubuntu/ trusty-security/main amd64 Packages
   52.1-3 0
      500 http://nova.clouds.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
   4.8.1.1-14+trusty2 0
     1001 http://apt.wikimedia.org/wikimedia/ trusty-wikimedia/main amd64 Packages

so I will need to make sure the other version is installed... or disable the wikimedia repo?

Chippyy added a comment.EditedMar 15 2017, 3:08 PM

This was installed via:

sudo apt-get install icu-devtools=52.1-3ubuntu0.5

and then libxerces-c-dev was able to be installed, and then libgdal-dev was able to be installed.

Chippyy added a comment.EditedMar 15 2017, 5:30 PM

For this phase:

Done - installed essential base libraries (including apache, postgres, redis, mapserver libs, gdal)

Done - copied webapp files across

Done - installed ruby via RVM (multi-user mode)

Done - apache passenger set up

Done - dump and restore database (done at 15 march)

Done - start webapp (via tunnel proxy)

Done - ensure configuration / paths correct

I'll edit this comment as I go along

Chippyy added a comment.EditedMar 16 2017, 3:30 PM

16 march.

Added maintenance notice to maps-warper
dumped and restored db
Deleted Proxy for maps-warper to be for warper.wmflabs.org
Created new proxy for maps-warper2 warper.wmflabs.org
Everything appears to be working now.

Done - set up log rotations
Done - copy crons
Done - double check configuration of web app, related services etc
Done - inspect maps-warper to see if anything needs to be kept (logs, configuration things etc)
Done - set up graphite graphing for new instance https://graphite-labs.wikimedia.org/dashboard/#maps_warper2

Okay I think the new instance should be working fine now. I'll announce it to the main users and see if any issues crop up. If alls good we can turn off the old instance in the next couple of days

Okay I think the new instance should be working fine now. I'll announce it to the main users and see if any issues crop up. If alls good we can turn off the old instance in the next couple of days

Thank you @Chippyy

It's been a couple of days, so I have stopped the old maps-warper instance.

Chippyy closed this task as Resolved.Mar 25 2017, 3:34 PM

maps-warper has been deleted now.